Qt 5.6 | Qt 3D | C++ Classes | QBoundingVolumeDebug

Qt 5.6.3 Reference Documentation

# QBoundingVolumeDebug Class

(Qt3DRender::QBoundingVolumeDebug)

Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- recursive : bool

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QBoundingVolumeDebug(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QBoundingVolumeDebug()
bool | recursive() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setRecursive(bool recursive)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | recursiveChanged(bool recursive)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)
void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### recursive : bool

Access functions:

bool | recursive() const
void | setRecursive(bool recursive)

Notifier signal:

void | recursiveChanged(bool recursive)

## Member Function Documentation

### QBoundingVolumeDebug::QBoundingVolumeDebug(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QBoundingVolumeDebug.

### QBoundingVolumeDebug::~QBoundingVolumeDebug()

Destroys the instance of QBoundingVolumeDebug.

### `[protected]` void QBoundingVolumeDebug::copy(const Qt3DCore::QNode *ref)

### `[protected]` void QBoundingVolumeDebug::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)